#include <bits/stdc++.h>
using namespace std;
// #define int long long
#define i64 long long
inline int read(void) {
    int sgn=1,x=0; char c=getchar();
    while(c<'0'||c>'9') { (c=='-'&&(sgn=0)); c=getchar(); }
    while('0'<=c&&c<='9') x=x*10+c-'0',c=getchar();
    return sgn ? x : -x;
}
void write(int x) {
    if(x<0) putchar('-'),x=-x;
    if(x>9) write(x/10),x%=10;
    putchar(x+'0');
}
signed main() {
    return 0;
}